<?php

// phpMyDoc - MySQL Documenter
// Copyright (C) 2001-2002  Justin Streufert
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// Database
//
// Thie file contains a database abstraction layer, and useful database functions.

function prepare_description($tbl, $col = 'NULL')
{
   if($col == 'NULL') {
      $selcol = 'is NULL';
   } else {
      $col = "'" . $col . "'";
      $selcol = "=$col";
   }
   $dbq = db_q("select * from PMD_descriptions where tbl='$tbl' and col 
		 $selcol");
   $dbc = dbcount($dbq);
   if($dbc == 0)
     db_q("insert into PMD_descriptions (tbl, col) values ('$tbl', $col)");
}

function dbfree($ri)
{
   // Frees memory associated with a result
   //
   // ri		Result Index

   global $freed;
   if(!isset($freed)) $freed = 0;
   
   $freed++;
   mysql_free_result($ri);
}

function dbrow($ri, $row, $obj = false)
{
   // Returns a 1-d array of a single row of results
   //
   // ri		Result Index
   // obj		If true, returns the array keyed by column name

   @mysql_data_seek($ri, $row);
   $row = @mysql_fetch_row($ri);
   
   if($obj) {
      $retobj = Array();
      for($x=0;$x!=count($row);$x++) {
	 $retobj[mysql_field_name($ri, $x)] = $row[$x];
      }
      return $retobj;
   } else {
      return $row;
   }
}

function dbcount($ri)
{
   // Returns the number of rows in a result
   //
   // ri		Result Index

   $foo = @mysql_num_rows($ri);
   return $foo;
}

function db_qrow($sql, $obj = false)
{
   // Performs a database query and returns an array with the first row.
   //
   // sql		The SQL to run
   // obj		If true, returns the array keyed by column name

   $dbq = db_q($sql);
   $dbc = dbcount($dbq);
   if($dbc == 0) return false;
   $dbr = dbrow($dbq, 0, $obj);
   dbfree($dbq);
   return $dbr;
}

function db_qval($sql)
{
   // Performs a database query and returns an array with the first column of
   // the first row.
   //
   // sql		The SQL to run
   
   $dbq = db_q($sql);
   $dbc = dbcount($dbq);
   if($dbc == 0) return false;
   $dbr = dbrow($dbq, 0);
   dbfree($dbq);
   return $dbr[0];
}

function db_q($sql)
{
   // Performs an MySQL database query.  Returns a Result Index.
   //
   // sql		The SQL to run

   $my = mysql_pconnect(kPMD_Host, kPMD_User, kPMD_Password);
   mysql_select_db(kPMD_DB, $my);
   $ri = mysql_query($sql, $my);
   return($ri);
}

?>
