<?php

// phpMyDoc - MySQL Documenter
// Copyright (C) 2001-2002  Justin Streufert
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// Error handler

function PMDerror_setup()
{
   error_reporting(0);
   set_error_handler('PMDerror_handler');
}

function PMDerror_handler($errno, $errmsg, $filename, $linenum, $vars)
{
   // This stuff is not localized because we don't want to have
   // an error loop.
   echo "<HTML><BODY>";
   echo "Sorry, phpMyDoc experienced an error generating this page.";
   echo "<HR NOSHADE SIZE=1>";
   echo "<B>Level:</B> $errno<BR>";
   echo "<B>Message:</B> " . $errmsg . "<BR>";
   echo "In file $filename on line $linenum.<BR><BR>";
   echo "<B>Variable Trace:</B><UL>";
   reset($vars);
   $x = TRUE;
   while($x != FALSE) {
      echo '<LI><B>$' . key($vars) . '</B> = "' . current($vars) . '"';
      $x = next($vars);
   }
   echo "</UL></BODY></HTML>";
   exit;
}

?>
