<?php

// phpMyDoc - MySQL Documenter
// Copyright (C) 2001-2002  Justin Streufert
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

define('kPMD_VersionMajor', 0);
define('kPMD_VersionMinor', 0);
define('kPMD_VersionRevision', 3);
define('kPMD_Version', kPMD_VersionMajor . '.' . kPMD_VersionMinor . '.' .
       kPMD_VersionRevision);

include('error.inc');
PMDerror_setup();

include('CONFIG.inc');
include('db.inc');
include('appearance.inc');
include('process.inc');
include('languages/messages.en.inc');
include('languages/messages.fr.inc');
include('defaults.inc');

?>
