<?php

// phpMyDoc - MySQL Documenter
// Copyright (C) 2001-2002  Justin Streufert
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// Index
// Displays a frameset for the other documents  

include('main.inc');

// Do a quick check to make sure the database is working before we go nuts
// and display the frameset. One big error window is easier to look at.

$dbq = db_q('show tables');
$dbc = dbcount($dbq);

if(!$dbc) {
   trigger_error(pmd_lm('no-tables'), E_USER_ERROR);
}

// Make sure our tables are all set up

$dbq = db_q('desc PMD_descriptions');
if(!$dbq) {
   if(isset($yes)) {
      $dbq = db_q('create table PMD_descriptions (tbl char(100) not null,
						  col char(100),
						  descr char(255))');
      if(!$dbq) trigger_error(pmd_lm('cant-create'), E_USER_ERROR);
   } else {
      show_dialog(pmd_lm('getting-started'), pmd_lm('must-create-table',
					    array('database' => kPMD_DB)),
		  kPMD_DialogContinue, 'yes');
      exit;
   }
}

// Things look OK
  
?>
<HTML>
<HEAD>
<TITLE>phpMyDoc: <?php echo kPMD_Title ?></TITLE>
</HEAD>
<FRAMESET FRAMEBORDER=2 FRAMESPACING=0 BORDER=0 COLS="175,*">
<FRAME SRC="tables.php" NAME=pmd_tables>
<FRAME SRC="welcome.php" NAME=pmd_main>
</FRAMESET>
</HTML>
