<?php

// phpMyDoc - MySQL Documenter
// Copyright (C) 2001-2002  Justin Streufert
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// Tables
// Lists tables for the left frame, and other miscellaneous options

include('main.inc');

$html = '<HTML><HEAD><TITLE>Left Frame</TITLE></HEAD>';
$html .= '<BODY BGCOLOR="#DFDFBB">';
$html .= f('l') . '<B>' . kPMD_Title . '</B></FONT>' . f() . '<BR>';
$html .= pmd_lm('tables');
$html .= '<UL>';

$dbq = db_q('show tables');
$dbc = dbcount($dbq);
for($x=0; $x!=$dbc; $x++) {
   list($tblname) = dbrow($dbq, $x);
   
   // Check whether we have information about this table
   $dbq2 = db_q("select * from PMD_descriptions where tbl = \"$tblname\"");
   $dbc2 = dbcount($dbq2);
   
   if($tblname != 'PMD_descriptions') {
      $html .= '<LI>';
      if($dbc2) $html .= '<B>';
      $html .= "<A HREF=\"doc.php?table=$tblname\" TARGET=pmd_main>$tblname</A>";
      if($dbc2) $html .= '</B>';
   }
}

$html .= '</UL>';
$html .= pmd_lm('other-options');
$html .= '<UL>';
$html .= '<LI><A HREF="export.php" TARGET=pmd_main>' . pmd_lm('export') . '</A>';
$html .= '<LI><A HREF="about.php" TARGET=pmd_main>' . pmd_lm('about') . '</A>';
$html .= '</UL>';
$html .= '</FONT>';
$html .= '</BODY></HTML>';

echo $html;

?>

